// creator  : weidu.exe (version 23100)
// argument : _AGNASI.DLG
// game		 : .
// source	 : ./override/_AGNASI.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_AGNASI~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 1 2 even though they appear after this state */
~True()
~ THEN BEGIN 0 // from:
  SAY #80243 /* ~May the luck of the Lady be with you.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Global("HelpGhorak","GLOBAL",1)
PartyHasItem("_MISC81")
~ THEN BEGIN 1 // from:
  SAY #80244 /* ~... The skull of Kereph... He was a priest here long ago and Tymora blessed him greatly... too greatly, perhaps. Made some people jealous... made him some enemies. Then one night we found him dead, his body torn and broken, his head gone. No one ever found the killer. No one ever asked. It is best to leave that sort of justice to Tymora. Perhaps this is her forgiveness, no? Go well in the luck of Tymora, stranger.  Find Ghorak, for he should now be cured of his affliction.~ */
  IF ~~ THEN DO ~SetGlobal("HelpAgnasia","GLOBAL",1)
TakePartyItem("_MISC81")
~ UNSOLVED_JOURNAL #88938 /* ~Ghorak the Diseased

Kereph was a greatly blessed priest of Tymora long ago, one whose favored status earned him some jealous enemies.  One night he was found dead, his body torn and broken, and his head missing entirely.  Now that his skull has finally been returned to a follower of Tymora, Ghorak should be freed of his curse.  I should return to him as soon as possible to bring him the news.~ */ EXIT
END

IF WEIGHT #1 ~False()
~ THEN BEGIN 2 // from:
  SAY #80245 /* ~May Tymora curse you!~ */
  IF ~~ THEN EXIT
END
